package com.judong.chuanyiserver.service;

import com.judong.chuanyiserver.entity.ServerInformation;
import com.judong.chuanyiserver.util.Result;
import org.jinterop.dcom.common.JIException;
import org.openscada.opc.lib.common.AlreadyConnectedException;

import java.net.UnknownHostException;

public interface ConnectService {

    Result saveConnect(ServerInformation serverInformation);

    Result openConnect(int id) throws Exception;

    Result readItemValue(int id, String itemName) throws Exception;

    Result testConnect(ServerInformation serverInformation) throws AlreadyConnectedException, JIException, UnknownHostException;

    Result selectAllConnect();

    Result editConnect( ServerInformation serverInformation);

    Result deleteConnect( int id);
}
